Subject: Re: bug#75688: Replace wrapper scripts with search path value files in search-paths.d

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 29 Jan 2025 13:38:08 +0900

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Dienstag, dem 28.01.2025 um 22:10 +0900 schrieb Maxim Cournoyer:
>> Other than that, it looks reasonable to me; it'll need a feature
>> branch;  I'm not so sure it requires a GCD anymore since if it works
>> correctly, it won't impact the API nor the usage of the system.  What
>> do you think, Liliana?
> I think it does deserve a GCD.  I'm very much not interested in
> maintaining a specific search-pathesque feature on gnome-team only.  In
> my opinion, there are several design decisions to discuss, e.g. file
> naming, content layout, …, and if we do go that route, then IMHO we
> should also offer at least one — nicer would be multiple — reference
> implementation(s) if not proper ready-to-use packages.
>
> I share both 宋文武's concern that this feels hacky and your concern that
> we ought to improve over environment variables.  Now, they do say that
> too many cooks spoil the broth, but in my opinion cooking our own soup
> is ill-advised in this instance :)

宋文武, a GCD involves some writing and time to allow for discussing,
but if you have the will to drive it I'd be happy to sponsor it.

-- 
Thanks,
Maxim